Details

    • Similar Issues:

      Description

      Unable to install HP Automation Tools plug in 5.4

      At the same time, trying to upgrade "Jenkins New version of Jenkins (2.134)" taking long time (more than 1hour) still "In Progress" to upgrade. Restarted forcefully again trying to update which is not happening

      Due to this I could not able to use HP Automation Tools Plug in

      Showing lot of errors to fix in the Jenkins web page

       

      Below are as follows

       

       

      Dependency errors:

      Some plugins could not be loaded due to unsatisfied dependencies. Fix these issues and restart Jenkins to restore the functionality provided by these plugins.

      Pipeline: Basic Steps version 2.9You must update Jenkins from v2.118 to v2.121.1 or later to run this plugin.Pipeline: API version 2.29You must update Jenkins from v2.118 to v2.121 or later to run this plugin.

       

      **********************************************************************************************

      Downstream dependency errors:

      These plugins failed to load because of one or more of the errors above. Fix those and these plugins will load again.

      Pipeline: Milestone Step version 1.3.1Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline version 2.5Pipeline: Input Step v2.8 failed to load. Fix this plugin first.Pipeline: Stage View Plugin version 2.10Pipeline: REST API Plugin v2.10 failed to load. Fix this plugin first.Pipeline: Build Step version 2.7Pipeline: API v2.29 failed to load. Fix this plugin first.HPE Application Automation Tools version 5.3.4-betaPipeline: Groovy v2.54 failed to load. Fix this plugin first.Pipeline: Declarative version 1.3.1Pipeline: API v2.29 failed to load. Fix this plugin first.Matrix Project Plugin version 1.13JUnit Plugin v1.24 failed to load. Fix this plugin first.Pipeline: Multibranch version 2.20Pipeline: API v2.29 failed to load. Fix this plugin first.Docker Pipeline version 1.17Pipeline: API v2.29 failed to load. Fix this plugin first.Maven Integration plugin version 3.1.2JUnit Plugin v1.24 failed to load. Fix this plugin first.Pipeline: Nodes and Processes version 2.19Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Stage Tags Metadata version 1.3.1Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Stage Step version 2.3Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Basic Steps version 2.9Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Job version 2.23Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Declarative Extension Points API version 1.3.1Pipeline: Groovy v2.54 failed to load. Fix this plugin first.Pipeline Graph Analysis Plugin version 1.7Pipeline: API v2.29 failed to load. Fix this plugin first.JUnit Plugin version 1.24Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Shared Groovy Libraries version 2.9Pipeline: Groovy v2.54 failed to load. Fix this plugin first.Pipeline: Groovy version 2.54Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Supporting APIs version 2.19Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: REST API Plugin version 2.10Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Input Step version 2.8Pipeline: API v2.29 failed to load. Fix this plugin first.Pipeline: Declarative Agent API version 1.1.1Pipeline: Declarative Extension Points API v1.3.1 failed to load. Fix this plugin first

       

      **********************************************************************************************

        Attachments

        1. HPAutomationtools_InstallError.png
          HPAutomationtools_InstallError.png
          99 kB
        2. HPAutomationtools_InstallError.png
          HPAutomationtools_InstallError.png
          99 kB
        3. Jenkins_gettingstared_Snap.png
          Jenkins_gettingstared_Snap.png
          103 kB
        4. JenkinsAccess_snap.png
          JenkinsAccess_snap.png
          47 kB
        5. JenkinsError_Snap.png
          JenkinsError_Snap.png
          86 kB
        6. Jenkinserrors1.zip
          331 kB
        7. JenkinsInstall_UpGradeLog.txt
          8 kB
        8. JenkinsInstallLog.txt
          8 kB
        9. JenkinsInstallLog.txt
          8 kB
        10. JenkinsUpgrade_Snapshot.png
          JenkinsUpgrade_Snapshot.png
          183 kB
        11. Pipeline_snap1.png
          Pipeline_snap1.png
          84 kB
        12. Pipeline_snap2.png
          Pipeline_snap2.png
          105 kB

          Activity

          Hide
          gront Daniel Gront added a comment -

          What pipeline version is installed, and if there is an option to update the pipeline version to 2.5?

          Show
          gront Daniel Gront added a comment - What pipeline version is installed, and if there is an option to update the pipeline version to 2.5?
          Hide
          vikrambrqacoe vikram katta added a comment -

          I don't see the upgrade option of Pipeline.

          attached Pipeline_snap1 and Pipeline_snap2 images

          Show
          vikrambrqacoe vikram katta added a comment - I don't see the upgrade option of Pipeline. attached Pipeline_snap1 and Pipeline_snap2 images
          Hide
          gront Daniel Gront added a comment -

          Hey, I can't find the relevant picture that shows the warning, what name is it?

          Show
          gront Daniel Gront added a comment - Hey, I can't find the relevant picture that shows the warning, what name is it?
          Hide
          vikrambrqacoe vikram katta added a comment -

          Somehow the errors are gone now. I am able to access the Jenkins and execute the builds now

          Thanks a lot for your support

          Show
          vikrambrqacoe vikram katta added a comment - Somehow the errors are gone now. I am able to access the Jenkins and execute the builds now Thanks a lot for your support
          Hide
          gront Daniel Gront added a comment -

          The issue is resolved.

          Show
          gront Daniel Gront added a comment - The issue is resolved.

            People

            • Assignee:
              gront Daniel Gront
              Reporter:
              vikrambrqacoe vikram katta
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: